# -*- mode: RPM-SPEC; indent-tabs-mode: nil -*-
%define _docdir %{_datadir}/doc/ldas-tools-%{version}

Summary: LDAS tools libgenericAPI toolkit runtime files
Name: ldas-tools-ldasgen
Version: 2.4.99.0
Release: 1
License: ?
URL: http://www.ligo.caltech.edu
Group: Application/Scientific
BuildRoot: %{buildroot}
Source0: http://software.ligo.org/lscsoft/source/ldas-tools-ldasgen-%{version}.tar.gz
Requires: ldas-tools-al
Buildrequires: autoconf, automake, libtool, pkg-config, zlib-devel, openssl-devel, flex, bison, swig, python-devel, doxygen
Buildrequires: ldas-tools-al-devel
Obsoletes: ldas-tools-genericAPI

%description
This provides the runtime libraries for the genericAPI library.

%package python
Group: Application/Scientific
Summary: LDAS tools genericAPI toolkit python files
Requires: ldas-tools-ldasgen
Obsoletes: ldas-tools-genericAPI-python
%description python
This provides the libraries needed to utilize the genericAPI library
from within Python

%package devel
Group: Development/Scientific
Summary: LDAS tools libgenericAPI toolkit development files
Requires: ldas-tools-al-devel, ldas-tools-ldasgen
Obsoletes: ldas-tools-genericAPI-devel
%description devel
This provides the develpement files the genericAPI library.

%prep

%setup -q

%build

#------------------------------------------------------------------------
# This works around a bug in the current rpmbuild system whereby the
#   PKG_CONFIG_PATH is set by the system and does not allow for
#   user preference.
# This work around should be fixed in RH 7.1 or so
#------------------------------------------------------------------------
export PKG_CONFIG_PATH="${LDASTOOLSDEV_PKG_CONFIG_PATH:-}${LDASTOOLSDEV_PKG_CONFIG_PATH:+:}$PKG_CONFIG_PATH"

%configure --with-optimization=high --disable-tcl --enable-python --docdir=%{_docdir}
make %{?_smp_mflags}
make check

%install
rm -rf %{buildroot}
#--------------------------------------------------------------
# install lscsoft specific files
#--------------------------------------------------------------
make install DESTDIR=%{buildroot}
# make lscsoft-install DESTDIR=%{buildroot}
#--------------------------------------------------------------
# Removed unwanted libtool files
#--------------------------------------------------------------
find %{buildroot} -name \*.la -exec rm -f {} \;
rm -f %{buildroot}%{python_sitearch}/LDAStools/_*.*a

%post
ldconfig
%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libStat*.so.*
%{_libdir}/libldasgen*.so.*
%{_libexecdir}/ldas/lstat

%files python
%defattr(-,root,root,-)
%{python_sitearch}/LDAStools/LDASlogging.py*
%{python_sitearch}/LDAStools/_LDASlogging*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/genericAPI
%{_libdir}/libStat.*a
%{_libdir}/libStat*.so
%{_libdir}/libldasgen.*a
%{_libdir}/libldasgen*.so
%{_docdir}/ldasgen
%{_libdir}/pkgconfig/ldastools-ldasgen.pc
%{_libdir}/pkgconfig/ldastools-stat.pc

%post python
/bin/touch --no-create %{python_sitearch}/LDAStools/__init__.py

%postun python
if [ -d %{python_sitearch}/LDAStools ];
then
        if [ `ls -1 %{python_sitearch}/LDAStools | wc -l` -le 1 ];
        then
                rm -rf %{python_sitearch}/LDAStools
        fi
fi

%changelog
* Tue Oct 11 2011 Edward Maros <ed.maros@ligo.org> - ldas-tools-ldasgen-1
- Initial build.
